Async Job - Request Fund and FundGroupId mapping

This endpoint provides the entire universe of Clarity AI funds and provides a mapping of Clarity AI Fund Group IDs between different identifiers.

You can request the mapping by providing a list of Fund Group IDs in the fundGroupIds parameter or by providing a list of ISINs or CUSIPs in the fundIds parameter, but you CANNOT SPECIFY BOTH fundGroupIds and fundIds.

If requesting CUSIPs via fundIds the securityIdsType needs to be set to “CUSIP”.

Leaving fundIds and fundGroupIds blank will return the whole Clarity AI universe.

The idColumns allows you to specify a list of security ID types that will be included in the response CSV. Only the funds that have an identifier type matching idColumns will be returned. If you want to retrieve all the securities, you can set idColumns to "ALL" and no funds will be filtered out.
Take into account that when using the "ALL" parameter whenever a new security identifier type is available in the Clarity AI platform it will be included in the CSV response.

The onlyOneSecurityPerFundGroupId parameters allows you to limit the number of ISINs returned to only one for each Found Group ID.

Please note: This endpoint returns only the identifier (UUID) for the created job. You'll need this UUID value to retrieve the status of your job (see Async Job - Get job status) or to download your file when ready (see Async Job - Download result file). See Async API documentation for a complete explanation of the flow for these async jobs endpoints.

Body Params
fundIds
array of strings

List of fund ids to retrieve. Use the securityIdsType field to specify the provided identifier types, if empty ISIN will be assumed.

fundIds
string | null
enum
Defaults to ISIN

Defines the security identifier type used in the fundIds parameter

Allowed:
fundGroupIds
array of strings

List of fund group ids to retrieve

fundGroupIds
idColumns
array of strings
Defaults to ISIN

Specifies a list of security ID types that will be included in the header of the CSV response.
The funds that do not have any identifier type matching with the headers will be filtered out of the response.
With the value ALL no funds will be filtered out.

idColumns
boolean
Defaults to false

When enabled return only one fund id per each fund group id

Responses

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json